Bug 226239 - [NEW PORT]: graphics/cloudcompare: 3D point cloud processing software
Summary: [NEW PORT]: graphics/cloudcompare: 3D point cloud processing software
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Yuri Victorovich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-02-27 13:04 UTC by Neel Chauhan
Modified: 2018-04-14 14:52 UTC (History)
2 users (show)

See Also:


Attachments
Shar for graphics/cloudcompare (Revision 1) (5.68 KB, text/plain)
2018-02-27 13:04 UTC, Neel Chauhan
no flags Details
Patch (Revision 2) (19.05 KB, patch)
2018-02-28 12:57 UTC, Neel Chauhan
no flags Details | Diff
Shar for graphics/cloudcompare (Revision 1) (5.68 KB, text/plain)
2018-02-28 12:59 UTC, Neel Chauhan
no flags Details
191077: Shar for graphics/cloudcompare (Revision 2) (5.68 KB, text/plain)
2018-03-17 21:29 UTC, Neel Chauhan
no flags Details
Draft: Removed if/else, flattened some options, added plugins (8.64 KB, text/plain)
2018-04-13 07:27 UTC, Yuri Victorovich
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Neel Chauhan 2018-02-27 13:04:30 UTC
Created attachment 191050 [details]
Shar for graphics/cloudcompare (Revision 1)

CloudCompare is a 3D point cloud (and triangular mesh) processing software. It
was originally designed to perform comparison between two 3D points clouds
(such as the ones obtained with a laser scanner) or between a point cloud and a
triangular mesh. It relies on an octree structure that is highly optimized for
this particular use-case. It was also meant to deal with huge point clouds
(typically more than 10 millions points, and up to 120 millions with 2 Gb of
memory).

WWW: http://www.cloudcompare.org/

This port builds on FreeBSD 11.1 amd64 with Poudriere. Keep in mind that I am using the 'alpha' version of CloudCompare as the 'stable' version freezes my computer when reading a LAS file (file which stores 'point cloud' data) while alpha does not. When 2.10 becomes 'stable', the port will migrate to the stable version.
Comment 1 Neel Chauhan 2018-02-28 12:57:05 UTC
Created attachment 191076 [details]
Patch (Revision 2)
Comment 2 Neel Chauhan 2018-02-28 12:59:08 UTC
Created attachment 191077 [details]
Shar for graphics/cloudcompare (Revision 1)

Oops
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2018-03-17 03:37:39 UTC
Comment on attachment 191077 [details]
Shar for graphics/cloudcompare (Revision 1)

The Maintainer-Approval flag is only necessary for existing ports.
Comment 4 Neel Chauhan 2018-03-17 21:29:29 UTC
Created attachment 191584 [details]
191077: Shar for graphics/cloudcompare (Revision 2)

Updated CloudCompare version.
Comment 5 Yuri Victorovich freebsd_committer 2018-04-13 07:27:51 UTC
Created attachment 192479 [details]
Draft: Removed if/else, flattened some options, added plugins
Comment 6 Neel Chauhan 2018-04-13 12:04:27 UTC
(In reply to Yuri Victorovich from comment #5)
Seems good.
Comment 7 Yuri Victorovich freebsd_committer 2018-04-13 15:24:21 UTC
(In reply to Neel Chauhan from comment #6)

I'll leave plugins out for now. Some of them depend on some obscure libraries.
Comment 8 Neel Chauhan 2018-04-13 16:02:00 UTC
(In reply to Yuri Victorovich from comment #7)
That's okay.
Comment 9 Yuri Victorovich freebsd_committer 2018-04-14 14:52:18 UTC
Committed with changes.

Thank you for your submission!
Comment 10 commit-hook freebsd_committer 2018-04-14 14:52:36 UTC
A commit references this bug:

Author: yuri
Date: Sat Apr 14 14:52:06 UTC 2018
New revision: 467320
URL: https://svnweb.freebsd.org/changeset/ports/467320

Log:
  New port: graphics/cloudcompare: 3D point cloud processing software

  Doesn't build on 12 with PLUGINS=on due to the math/vtk6 failure:
  https://gitlab.kitware.com/vtk/vtk/issues/17285
  It builds with PLUGINS=off.

  Compared to the original submission, sevaral changes have been made:
  * Added the PLUGINS option
  * Fixed the GAMEPAD option
  * etc.

  PR:		226239
  Submitted by:	Neel Chauhan <neel@neelc.org>

Changes:
  head/graphics/Makefile
  head/graphics/cloudcompare/
  head/graphics/cloudcompare/Makefile
  head/graphics/cloudcompare/distinfo
  head/graphics/cloudcompare/files/
  head/graphics/cloudcompare/files/patch-CMakeExternalLibs.cmake
  head/graphics/cloudcompare/files/patch-contrib_ShapeLibSupport.cmake
  head/graphics/cloudcompare/files/patch-plugins_qFacets_CMakeLists.txt
  head/graphics/cloudcompare/files/patch-plugins_qPCL_PclUtils_filters_MLSSmoothingUpsampling.cpp
  head/graphics/cloudcompare/files/patch-plugins_qRANSAC__SD_RANSAC__SD__orig_GfxTL_FlatCopyVector.h
  head/graphics/cloudcompare/files/patch-plugins_qRANSAC__SD_RANSAC__SD__orig_GfxTL_KdTree.h
  head/graphics/cloudcompare/files/patch-plugins_qRANSAC__SD_RANSAC__SD__orig_MiscLib_AlignedAllocator.h
  head/graphics/cloudcompare/files/patch-snap_gui_ccViewer.desktop
  head/graphics/cloudcompare/files/patch-snap_gui_cloudcompare.desktop
  head/graphics/cloudcompare/pkg-descr
  head/graphics/cloudcompare/pkg-plist